- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

ERR_load_crypto_strings, SSL_load_error_strings, ERR_free_strings - load and free error strings

# SYNOPSIS

The following functions have been deprecated since OpenSSL 1.1.0, and can be hidden entirely by defining OPENSSL_API_COMPAT with a suitable version value, see openssl_user_macros(7):

     #include <openssl/err.h>

     void ERR_load_crypto_strings(void);
     void ERR_free_strings(void);

     #include <openssl/ssl.h>

     void SSL_load_error_strings(void);

# DESCRIPTION

`ERR_load_crypto_strings()` registers the error strings for all libcrypto functions. `SSL_load_error_strings()` does the same, but also registers the libssl error strings.

In versions prior to OpenSSL 1.1.0, `ERR_free_strings()` releases any resources created by the above functions.

# RETURN VALUES

`ERR_load_crypto_strings()`, `SSL_load_error_strings()` and `ERR_free_strings()` return no values.

# SEE ALSO

ERR_error_string(3)

# HISTORY

The `ERR_load_crypto_strings()`, `SSL_load_error_strings()`, and `ERR_free_strings()` functions were deprecated in OpenSSL 1.1.0 by `OPENSSL_init_crypto()` and `OPENSSL_init_ssl()` and should not be used.

# COPYRIGHT

Copyright 2000-2021 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.